6.0.0-git
2018-12-16

[#14011] filename becomes ???.txt if not English of .txt
Summary filename becomes ???.txt if not English of .txt
Queue IMP
Queue Version 6.2.8
Type Bug
State Assigned
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester nethubonline (at) gmail (dot) com
Created 2015-06-12 (1283 days ago)
Due
Updated 2016-02-05 (1045 days ago)
Assigned 2015-06-15 (1280 days ago)
Resolved
Milestone
Patch No

History
2016-02-05 04:03:54 nethubonline (at) gmail (dot) com Comment #4 Reply to this comment
Hello all, I just checked and confirmed this problem still exists in 
the current version 6.2.11, would be great if it is fixed soon, many 
thanks.
2015-09-02 20:28:29 Michael Rubinsky Comment #3 Reply to this comment
I can't confirm this, but I don't see anything in the changelog to 
indicate it was fixed...
2015-06-15 18:59:01 Jan Schneider Comment #2
Assigned to Michael Slusarz
State ⇒ Assigned
Reply to this comment
Confirmed
2015-06-12 06:28:46 nethubonline (at) gmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ filename becomes ???.txt if not English of .txt
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
if I compose new email and attach a file with non English characters 
(e.g.: ????.txt / ??.txt) , the attachment filename will be changed to 
???.txt

This only happen for .txt file, but no problem for .png

Even I just save it in draft, it is also ???.txt

Below is part of mail source, you can see .png is using utf-8 but .txt 
is using us-ascii, I think it is the core problem.

--=_niDwCrm6H6ppSnSrbXnJVqo
Content-Type: text/plain; name*=us-ascii''%3F%3F%3F%3F.txt
Content-Disposition: attachment; size=10;
  filename*=us-ascii''%3F%3F%3F%3F.txt

fjskafjsal
--=_niDwCrm6H6ppSnSrbXnJVqo
Content-Type: image/png;
  name*=utf-8''%E3%82%81%E3%81%BE%E3%81%97%E3%81%A6.png
Content-Disposition: attachment; size=7736;
  filename*=utf-8''%E3%82%81%E3%81%BE%E3%81%97%E3%81%A6.png
Content-Transfer-Encoding: base64

Saved Queries